# Method: users.invalidateToken

- [HTTP request](https://developers.google.com/chrome/chrome-device-token/rest/v1/users/invalidateToken#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/chrome/chrome-device-token/rest/v1/users/invalidateToken#body.request_body)
  - [JSON representation](https://developers.google.com/chrome/chrome-device-token/rest/v1/users/invalidateToken#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/chrome/chrome-device-token/rest/v1/users/invalidateToken#body.response_body)
- [Authorization Scopes](https://developers.google.com/chrome/chrome-device-token/rest/v1/users/invalidateToken#body.aspect)

Invalidate a user's existing Chrome Device Token and create a new token.

### HTTP request

`POST https://chromedevicetoken.googleapis.com/v1/users:invalidateToken`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "tokenType": enum (`https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens#TokenType`) } ``` |

| Fields ||
|---|---|
| `tokenType` | ``enum (`https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens#TokenType`)`` Token type to invalidate. |

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chromeosdevicetoken`